///////////////////////////////////////////////////////////
// Softwarebauelemente I, Aufgabe M1.3
//
// author:			Stephan Brumme
// last changes:	October 14, 2000


// include I/O-streams and mathematical support
#include <iostream.h>
#include <math.h>


void main()
{
	// initial payment
	double       dPayment;
	// interest rate
	double		 dInterestRate;
	// years since payment (0..10, not 2001..2011 !)
	unsigned int nYear;

	// duration of investment
	const int    nDuration = 10;
	// interest rates
	const double dLowInterestRate  = 0.03;
	const double dHighInterestRate = 0.04;
	// boundary between both interest rate (in DM)
	const double dLimit            = 5000;


	// read payment
	cout<<"Bitte geben Sie das Anfangsguthaben in DM ein: ";
	cin>>dPayment;

	// determine interest rate
	if (dPayment < dLimit)
		dInterestRate = dLowInterestRate;
	else
		dInterestRate = dHighInterestRate;
	cout<<"Ihr Zinssatz betraegt "<<dInterestRate*100<<"%.\n";

	// show overview for first 10 years
	for (nYear = 0; nYear <= nDuration; nYear++)
		cout<<"Guthaben am 01.01."<<(2001+nYear)<<": DM "
			<<dPayment * pow(1.0+dInterestRate, nYear)<<"\n";

	// calculate expected duration for doubling the investment
	cout<<"\nIhr Guthaben wird sich in "<<log(2)/log(1+dInterestRate)
		<<" Jahren verdoppelt haben.\n";
}